using Siger.Middlelayer.AccRepository.Entities;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace Siger.Middlelayer.AccRepository.Response
{
    public class ResponseSerialNum: AccEntityBase
    {
        [Description("产品编号")]
        public string ProductId { get; set; }
        public int RuleKey { get;set; }
        [Description("规则说明")]
        public string RuleDesc { get; set; }
        [Description("顺序")]
        public int Step { get; set; }
        [Description("编码类型")]
        public int Code { get; set; }
        [Description("编码类型")]
        public string CodeDesc { get; set; }
        [Description("编码格式")]
        public string CodeFormat { get; set; }
        [Description("长度")]
        public int Length { get; set; }
        [Description("编码值")]
        public string Value { get; set; }
        [Description("长度为空")]
        public string LengthNull { get; set; }
    }
}
